<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SafeCampus.Plugin.SignalR</name>
    </assembly>
    <members>
        <member name="T:SafeCampus.Plugin.SignalR.ISimpleHub">
            <summary>
            即时通讯集线器
            </summary>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.ISimpleHub.LoginOut(System.Object)">
            <summary>
            退出登录
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.ISimpleHub.NewMessage(System.Object)">
            <summary>
            新消息
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Plugin.SignalR.SimpleHub">
            <summary>
            <inheritdoc cref="T:SafeCampus.Plugin.SignalR.ISimpleHub"/>
            </summary>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SimpleHub.OnConnectedAsync">
            <summary>
            连接
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SimpleHub.OnDisconnectedAsync(System.Exception)">
            <summary>
            断开连接
            </summary>
            <param name="exception"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SimpleHub.LoginOut(System.String)">
            <summary>
            退出登录
            </summary>
            <param name="userId"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SimpleHub.UpdateRedis(System.String,System.String,System.Boolean)">
            <summary>
            更新redis
            </summary>
            <param name="userIdentifier">用户id</param>
            <param name="token">token</param>
            <param name="ifConnect">是否是上线</param>
        </member>
        <member name="T:SafeCampus.Plugin.SignalR.UserIdProvider">
            <summary>
            用户ID提供器
            </summary>
        </member>
        <member name="T:SafeCampus.Plugin.SignalR.SignalrNoticeService">
            <summary>
            <inheritdoc cref="T:SafeCampus.Plugin.Core.INoticeService"/>
            </summary>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SignalrNoticeService.UpdatePassWord(System.String,System.Collections.Generic.List{System.String},System.String)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SignalrNoticeService.NewMesage(System.Collections.Generic.List{System.String},System.Collections.Generic.List{System.String},System.String)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SignalrNoticeService.UserLoginOut(System.String,System.Collections.Generic.List{System.String},System.String)">
            <inheritdoc/>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SignalrNoticeService.GetHubContext">
            <summary>
            获取hubContext
            </summary>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Plugin.SignalR.SignalRComponent">
            <summary>
             SignalR组件
            </summary>
        </member>
        <member name="M:SafeCampus.Plugin.SignalR.SignalRComponent.Load(Microsoft.Extensions.DependencyInjection.IServiceCollection,System.ComponentContext)">
            <summary>
            ConfigureServices中不能解析服务，比如App.GetService()，尤其是不能在ConfigureServices中获取诸如缓存等数据进行初始化，应该在Configure中进行
            服务都还没初始化完成，会导致内存中存在多份 IOC 容器！！
            正确应该在 Configure 中，这个时候服务（IServiceCollection 已经完成 BuildServiceProvider() 操作了
            </summary>
            <param name="services"></param>
            <param name="componentContext"></param>
        </member>
    </members>
</doc>
